Loading...
Searching...
No Matches
Ogre::BillboardChain::Element Class Reference

Contains the data of an element of the BillboardChain. More...

`#include <OgreBillboardChain.h>`

## Public Member Functions

| Element ()
| Element (const Vector3 &position, float width, float texCoord, const ColourValue &colour, const Quaternion &orientation)

## Public Attributes

ColourValue | colour
Quaternion | orientation
| Only used when mFaceCamera == false.
Vector3 | position
float | texCoord
| U or V texture coord depending on options.
float | width

## Detailed Description

Contains the data of an element of the BillboardChain.

## Constructor & Destructor Documentation

## Element() [1/2]

Ogre::BillboardChain::Element::Element | ( |  | ) |

inline

## Element() [2/2]

Ogre::BillboardChain::Element::Element | ( | const Vector3 & | position,
|  | float | width,
|  | float | texCoord,
|  | const ColourValue & | colour,
|  | const Quaternion & | orientation )

References colour, orientation, position, texCoord, and width.

## Member Data Documentation

## position

Vector3 Ogre::BillboardChain::Element::position

Referenced by Element().

## width

float Ogre::BillboardChain::Element::width

Referenced by Element().

## texCoord

float Ogre::BillboardChain::Element::texCoord

U or V texture coord depending on options.

Referenced by Element().

## colour

ColourValue Ogre::BillboardChain::Element::colour

Referenced by Element().

## orientation

Quaternion Ogre::BillboardChain::Element::orientation

Only used when mFaceCamera == false.

Referenced by Element().

The documentation for this class was generated from the following file:

- OgreBillboardChain.h